#ifndef LODATESELECTOR_H
#define LODATESELECTOR_H

#include <QPushButton>
#include <QVBoxLayout>
#include <QCalendarWidget>
#include <LoQClass/loqdialog.h>

class LoDateSelector : public QPushButton
{
    Q_OBJECT
public:
    explicit LoDateSelector(QWidget *parent = nullptr);

signals:
    void sDateSelected(const QDate &);

public slots:
    void onClicked(bool);
};

#endif // LODATESELECTOR_H
